Bug 478815 - 2.6.27.9-159: boot fails: error mounting /dev/root on /sysroot
2.6.27.9-159: boot fails: error mounting /dev/root on /sysroot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 05:03 EST by Juha Heljoranta
Modified: 2009-12-18 02:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:29:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Heljoranta 2009-01-05 05:03:48 EST
Description of problem:
After kernel update 2.6.27.9-159.fc10.x86_64 I am unable to boot my laptop. Kernel version 2.6.27.7-134 and earlier work fine.

Version-Release number of selected component (if applicable):
2.6.27.9-159.fc10.x86_64

How reproducible:
Boot with kernel 2.6.27.9-159.


Steps to Reproduce:
1. make sure that the newest installed kernel is 2.6.27.9-159.fc10.x86_64
2. reboot the system
3. enter luks password and wait
  
Actual results:
Boot fails with following error on console:
mount: error mounting /dev/root on /sysroot as ext3: Invalid argument

Expected results:
System booting successfully and gdm login appears

Additional info:
My laptop has standard f10 installation except the disk partitioning is customized. Latest updates are installed. Details below.
# fdisk -l
Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          32      257008+  83  Linux
/dev/sda2              33        1312    10281600   83  Linux
/dev/sda3            1313        2592    10281600   83  Linux
/dev/sda4            2593       30401   223375792+   5  Extended
/dev/sda5            2593        8154    44676733+  8e  Linux LVM
/dev/sda6            8155       13716    44676733+  8e  Linux LVM
/dev/sda7           13717       19278    44676733+  8e  Linux LVM
# pvs
  PV         VG    Fmt  Attr PSize  PFree 
  /dev/dm-0  vgf10 lvm2 a-   42.59G 11.59G
  /dev/dm-1  vgf10 lvm2 a-   42.59G     0 
  /dev/dm-2  vgf10 lvm2 a-   42.59G  4.66G
# vgs
  VG    #PV #LV #SN Attr   VSize   VFree 
  vgf10   3   8   0 wz--n- 127.78G 16.25G
# lvs
  LV   VG    Attr   LSize  Origin Snap%  Move Log Copy%  Convert
  home vgf10 -wi-ao 30.00G                                      
  opt  vgf10 -wi-ao  1.00G                                      
  root vgf10 -wi-ao  1.00G                                      
  srv  vgf10 -wi-ao 61.53G                                      
  swap vgf10 -wi-ao  2.00G                                      
  tmp  vgf10 -wi-ao  4.00G                                      
  usr  vgf10 -wi-ao  8.00G                                      
  var  vgf10 -wi-ao  4.00G                                      
# cat /etc/fstab 
/dev/vgf10/root         /                       ext3    defaults,relatime        1 1
/dev/vgf10/tmp          /tmp                    ext3    defaults,relatime        1 2
/dev/vgf10/usr          /usr                    ext3    defaults,relatime        1 2
/dev/vgf10/home         /home                   ext3    defaults,relatime        1 2
/dev/vgf10/opt          /opt                    ext3    defaults,relatime        1 2
/dev/vgf10/var          /var                    ext3    defaults,relatime        1 2
UUID=6196ef8b-6fca-4717-8426-5528f487f772 /boot                   ext3    defaults,relatime        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
/dev/vgf10/swap         swap                    swap    defaults        0 0
/dev/vgf10/srv		/srv		ext3	defaults	1 2
# cryptsetup status luks-6abaad2e-c371-44cc-9eb4-3f93a48fedd4
/dev/mapper/luks-6abaad2e-c371-44cc-9eb4-3f93a48fedd4 is active:
  cipher:  aes-cbc-essiv:sha256
  keysize: 128 bits
  device:  /dev/sda5
  offset:  1032 sectors
  size:    89352435 sectors
  mode:    read/write
# cryptsetup status luks-8a090aa2-359e-4cb1-a294-bacb39bc4b2d
/dev/mapper/luks-8a090aa2-359e-4cb1-a294-bacb39bc4b2d is active:
  cipher:  aes-cbc-essiv:sha256
  keysize: 128 bits
  device:  /dev/sda6
  offset:  1032 sectors
  size:    89352435 sectors
  mode:    read/write
# cryptsetup status luks-aeb4dca3-7e91-4f16-bbd3-41059dc5071f
/dev/mapper/luks-aeb4dca3-7e91-4f16-bbd3-41059dc5071f is active:
  cipher:  aes-cbc-essiv:sha256
  keysize: 128 bits
  device:  /dev/sda7
  offset:  1032 sectors
  size:    89352435 sectors
  mode:    read/write
Comment 1 Tomasz Kepczynski 2009-01-05 07:29:50 EST
I've seen the same problem on my workstation (DELL Precision T7400).
I don't use any encrypted partitions but I also use LVM and soft raid, root partition is on logical volume located on soft raid.
Comment 2 Andrew McNabb 2009-01-06 10:30:08 EST
I think this is because of the relatime option.  See bugs 478878 and 430280.
Comment 3 Aleksander Morgado 2009-01-18 07:15:32 EST
I had this same issue in a newly installed FC10. Everything fine until I upgraded all the stuff I was requested (kernel included). After rebooting, I got that error (ASUS PX24 hardware, without any raid configuration).

I used FC10 live CD to boot the machine and run fsck.ext3 in the problematic partition. FSCK reported tons of errors, and after selecting to fix all of them, fsck finished and rebooted the machine, which this time went ok.

I rebooted it another time, just to see if the problem came again, and it seems to be gone now.

How is it possible that an upgrade breaks the root partition in this way?
Comment 4 Renato Covarrubias 2009-02-23 19:09:53 EST
I've seen the same problem on my laptop (Dell XPS M1530) with kernel 2.6.27.15-170.2.24.fc10.i386

I've a Windows instalation, and Fedora 10 with LVM.

- sda1: windows.
- sda2: /boot.
- sda3: LVM.
  dm-0: /
  dm-1: /home
  dm-2: /tmp
  dm-3: swap

neon:~ $ cat /proc/partitions 
major minor  #blocks  name

   8     0  156290904 sda
   8     1   31457280 sda1
   8     2      96390 sda2
   8     3  124728660 sda3
 253     0   15335424 dm-0
 253     1  102400000 dm-1
 253     2     524288 dm-2
 253     3    2097152 dm-3
Comment 5 Bug Zapper 2009-11-18 05:39:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:29:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.